> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all subCategories (public)



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json get /subcategories/getAll
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /subcategories/getAll:
    get:
      tags:
        - Subcategories
      summary: Get all subCategories (public)
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            example: 1
            minimum: 1
        - in: query
          name: limit
          schema:
            type: integer
            example: 50
            minimum: 1
            maximum: 100
        - in: query
          name: keyword
          schema:
            type: string
            example: ai
        - in: query
          name: categoryId
          description: Filter by parent category
          schema:
            type: string
            pattern: ^[a-fA-F0-9]{24}$
            example: '{{objectId}}'
        - in: query
          name: includeInactive
          schema:
            type: boolean
            example: false
        - in: query
          name: sortBy
          schema:
            type: string
            enum:
              - order
              - createdAt
            example: order
        - in: query
          name: sortOrder
          schema:
            type: string
            enum:
              - asc
              - desc
            example: asc
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                OK:
                  value:
                    success: true
                    statusCode: 200
                    message: OK
                    data:
                      items:
                        - id: '{{objectId}}'
                          name:
                            en: AI
                            es: IA
                          slug: ai
                          categoryId: '{{objectId}}'
                          isActive: true
                          order: 1
                      pagination:
                        total: 1
                        page: 1
                        limit: 50
                        totalPages: 1
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````